#region Copyright Syncfusion Inc. 2001 - 2006
//
//  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Drawing;
using System.Drawing.Drawing2D;
using Syncfusion.Web.UI.WebControls.Chart;
using Syncfusion.Windows.Forms.Chart;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {  
        InitializeChartData();
        InitializeChartAppearance();
        InitializeControlSettings();
    }

    private void InitializeControlSettings()
    {
        // Specify a ChartPalette:
        Color[] color = new Color[] { Color.FromArgb(185, 73, 141, 238), Color.FromArgb(185, 247, 179, 78), Color.FromArgb(185, 186, 66, 30) };
        this.ChartWebControl1.Palette = ChartColorPalette.Custom;
        this.ChartWebControl1.Model.ColorModel.CustomColors = color;
        this.ChartWebControl1.Palette = ChartColorPalette.Custom;

        this.ChartWebControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185, new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue, Color.Azure));
        this.ChartWebControl1.LegendPosition = ChartDock.Top;
        this.ChartWebControl1.ChartWebArea.HidePartialLabels = true;
    }
    protected void InitializeChartData()
    {
        double[] points = {   25.250,27.750,29.000,28.275,27.750,27.750,27.275,26.250,25.750,25.250,26.250,25.250,24.500,
								  25.625,25.500,26.625,26.275,26.250,26.875,27.250,26.875,26.500,27.125,26.275,25.875,26.625,
								  27.125,26.250,27.000,27.250,27.500,28.500,29.500,28.875,28.500,29.000,28.500,28.500,29.000,
								  29.000,40.000,29.875,29.875,28.875,28.500,28.250,28.875,29.275,29.275,29.750,29.500,29.275,
								  28.500,27.750,27.625,27.500,26.500,25.000,26.625,26.000,25.875,25.000,25.250,25.125,25.050};

        DateTime current = DateTime.Now;
        int numPoints = points.Length;

        ChartSeries series = this.ChartWebControl1.Model.NewSeries("IBM 2004");
        for (int j = 0; j < numPoints; j++)
        {
            series.Points.Add(current.AddDays(j), points[j]);
        }

        series.Type = ChartSeriesType.Kagi;
        series.Text = series.Name;
        series.ReversalAmount = 0.0;
        series.PriceUpColor = Color.FromArgb(185, 73, 141, 238);
        series.PriceDownColor = Color.FromArgb(185, 247, 179, 78);
        series.Style.Border.Width = 2;
        this.ChartWebControl1.Series.Add(series);

    }
    protected void InitializeChartAppearance()
    {
        this.ChartWebControl1.ChartWebArea.PrimaryXAxis.ValueType = ChartValueType.DateTime;
        this.ChartWebControl1.ChartWebArea.PrimaryXAxis.IntervalType = ChartDateTimeIntervalType.Days;
        this.ChartWebControl1.ChartWebArea.PrimaryXAxis.DateTimeFormat = "MMM dd";
        this.ChartWebControl1.Text = "Essemtial Chart - Kagi Chart for IBM";
    }
}
